# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


SET(CPACK_BINARY_7Z "")
SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DEB "")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_FREEBSD "")
SET(CPACK_BINARY_IFW "")
SET(CPACK_BINARY_NSIS "")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_PRODUCTBUILD "")
SET(CPACK_BINARY_RPM "")
SET(CPACK_BINARY_STGZ "")
SET(CPACK_BINARY_TBZ2 "")
SET(CPACK_BINARY_TGZ "")
SET(CPACK_BINARY_TXZ "")
SET(CPACK_BINARY_TZ "")
SET(CPACK_BINARY_WIX "")
SET(CPACK_BINARY_ZIP "")
SET(CPACK_BUILD_SOURCE_DIRS "/home/ubuntu/developpement/git/masschroq-2.2.21;/home/ubuntu/developpement/git/masschroq-2.2.21/build")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_COMPONENTS_ALL "")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
SET(CPACK_INSTALL_CMAKE_PROJECTS "/home/ubuntu/developpement/git/masschroq-2.2.21/build;masschroq;ALL;/")
SET(CPACK_INSTALL_PREFIX "/usr/local")
SET(CPACK_MODULE_PATH "/home/ubuntu/developpement/git/masschroq-2.2.21/CMakeStuff/modules")
SET(CPACK_NSIS_DISPLAY_NAME "masschroq 2.2.21")
SET(CPACK_NSIS_INSTALLER_ICON_CODE "")
SET(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
SET(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
SET(CPACK_NSIS_PACKAGE_NAME "masschroq 2.2.21")
SET(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
SET(CPACK_PACKAGE_DEFAULT_LOCATION "/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "/usr/share/cmake-3.10/Templates/CPack.GenericDescription.txt")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MassChroQ : Mass Chromatogram Quantification")
SET(CPACK_PACKAGE_EXECUTABLES "masschroq;masschroq")
SET(CPACK_PACKAGE_FILE_NAME "masschroq-2.2.21-Linux-i686")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "masschroq 2.2.21")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "masschroq 2.2.21")
SET(CPACK_PACKAGE_NAME "masschroq")
SET(CPACK_PACKAGE_RELOCATABLE "true")
SET(CPACK_PACKAGE_VENDOR "PAPPSO")
SET(CPACK_PACKAGE_VERSION "2.2.21")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_RESOURCE_FILE_LICENSE "/home/ubuntu/developpement/git/masschroq-2.2.21/debian/copyright")
SET(CPACK_RESOURCE_FILE_README "/home/ubuntu/developpement/git/masschroq-2.2.21/README")
SET(CPACK_RESOURCE_FILE_WELCOME "/home/ubuntu/developpement/git/masschroq-2.2.21/README")
SET(CPACK_SET_DESTDIR "OFF")
SET(CPACK_SOURCE_7Z "")
SET(CPACK_SOURCE_CYGWIN "")
SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
SET(CPACK_SOURCE_IGNORE_FILES ".*\\.tar\\.gz;moc_.*cxx;\\.#.*;.*\\.aux;.*\\.bbl;.*\\.blg;.*\\.log;.*\\.out;.*\\.toc;/.kdev4/;/devel_archives/;/doc\\/misc/;/doc\\/slides/;/doc\\/examples/;/figures/;/Soumis/;Makefile;install_manifest.txt;CMakeCache.txt;CPackConfig.cmake;CPackSourceConfig.cmake;/CMakeFiles/;/_CPack_Packages/;/Debug/;/Release/;/tests/;/\\.externalToolBuilders/;/\\.git/;/\\.settings/;Makefile;\\.cdtbuild;\\.cdtproject;\\.project;\\.cproject;/win32/;/cbuild/;/build/;/buildmingw/;masschroq$;libmasschroq.so;mzxml2lmat$;align_mzxml$;viewxic$;xicextractor$;.gitignore;.*~;masschroq_manual.pdf;masschroq_manual.tex.backup;.*masschroqML;/time/;/buildwin32/;/buildwin64/")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "masschroq-2.2.21")
SET(CPACK_SOURCE_RPM "")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_SOURCE_TBZ2 "")
SET(CPACK_SOURCE_TGZ "")
SET(CPACK_SOURCE_TXZ "")
SET(CPACK_SOURCE_TZ "")
SET(CPACK_SOURCE_ZIP "")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_TOPLEVEL_TAG "Linux-i686")
SET(CPACK_WIX_SIZEOF_VOID_P "8")

if(NOT CPACK_PROPERTIES_FILE)
  set(CPACK_PROPERTIES_FILE "/home/ubuntu/developpement/git/masschroq-2.2.21/build/CPackProperties.cmake")
endif()

if(EXISTS ${CPACK_PROPERTIES_FILE})
  include(${CPACK_PROPERTIES_FILE})
endif()
